"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const node_child_process_1 = require("node:child_process");
const path_1 = require("path");
const LARGE_BUFFER = 1024 * 1000000;
function calculateCwd(cwd, context) {
    if (!cwd)
        return context.root;
    if ((0, path_1.isAbsolute)(cwd))
        return cwd;
    return (0, path_1.join)(context.root, cwd);
}
function runExecutor(options, context) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let success = false;
        try {
            (0, node_child_process_1.execSync)(options.command, {
                stdio: [0, 1, 2],
                cwd: calculateCwd(options.cwd, context),
                maxBuffer: LARGE_BUFFER,
            });
            success = true;
        }
        catch (_a) {
            success = false;
        }
        return {
            success,
        };
    });
}
exports.default = runExecutor;
//# sourceMappingURL=executor.js.map