"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOptions = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const js_1 = require("@nx/js");
const project_name_and_root_utils_1 = require("@nx/devkit/src/generators/project-name-and-root-utils");
function normalizeOptions(host, options) {
    var _a, _b, _c, _d;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { projectName: appProjectName, projectRoot: appProjectRoot, projectNameAndRootFormat, } = yield (0, project_name_and_root_utils_1.determineProjectNameAndRootOptions)(host, {
            name: options.name,
            projectType: 'application',
            callingGenerator: 'qwik-nx:application',
            directory: options.directory,
            projectNameAndRootFormat: options.projectNameAndRootFormat,
        });
        const parsedTags = options.tags
            ? options.tags.split(',').map((s) => s.trim())
            : [];
        options.strict = (_a = options.strict) !== null && _a !== void 0 ? _a : true;
        options.unitTestRunner = (_b = options.unitTestRunner) !== null && _b !== void 0 ? _b : 'vitest';
        const rootProject = appProjectRoot === '.';
        const e2eProjectName = rootProject ? 'e2e' : `${appProjectName}-e2e`;
        const e2eProjectRoot = rootProject ? 'e2e' : `${appProjectRoot}-e2e`;
        const styleExtension = options.style !== 'none' ? options.style : null;
        return Object.assign(Object.assign({}, options), { projectName: appProjectName, projectRoot: appProjectRoot, offsetFromRoot: (0, devkit_1.offsetFromRoot)(appProjectRoot), rootTsConfigPath: (0, js_1.getRelativePathToRootTsConfig)(host, appProjectRoot), styleExtension, setupVitest: options.unitTestRunner === 'vitest', parsedTags, devServerPort: (_c = options.devServerPort) !== null && _c !== void 0 ? _c : 5173, previewServerPort: (_d = options.previewServerPort) !== null && _d !== void 0 ? _d : 4173, projectNameAndRootFormat,
            e2eProjectName,
            e2eProjectRoot });
    });
}
exports.normalizeOptions = normalizeOptions;
//# sourceMappingURL=normalize-options.js.map