"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.qwikInitGenerator = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const versions_1 = require("../../utils/versions");
function updateDependencies(host) {
    return (0, devkit_1.addDependenciesToPackageJson)(host, {}, {
        '@builder.io/qwik': versions_1.qwikVersion,
        '@builder.io/qwik-city': versions_1.qwikCityVersion,
        '@types/eslint': versions_1.typesEslint,
        '@types/node': 'latest',
        '@typescript-eslint/eslint-plugin': versions_1.tsEslintVersion,
        '@typescript-eslint/parser': versions_1.tsEslintVersion,
        eslint: versions_1.eslintVersion,
        'eslint-plugin-qwik': versions_1.qwikEslintPluginVersion,
        'node-fetch': versions_1.nodeFetchVersion,
        prettier: versions_1.prettierVersion,
        typescript: versions_1.typescriptVersion,
        vite: versions_1.viteVersion,
        'vite-tsconfig-paths': versions_1.viteTsconfigPathsVersion,
    });
}
function qwikInitGenerator(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const installTask = updateDependencies(tree);
        if (!options.skipFormat) {
            yield (0, devkit_1.formatFiles)(tree);
        }
        return (0, devkit_1.runTasksInSerial)(installTask);
    });
}
exports.qwikInitGenerator = qwikInitGenerator;
exports.default = qwikInitGenerator;
//# sourceMappingURL=init.js.map