"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOptions = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const eslint_1 = require("@nx/eslint");
const project_name_and_root_utils_1 = require("@nx/devkit/src/generators/project-name-and-root-utils");
function normalizeOptions(tree, schema) {
    var _a, _b, _c;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { projectName, projectRoot, projectNameAndRootFormat } = yield (0, project_name_and_root_utils_1.determineProjectNameAndRootOptions)(tree, {
            name: schema.name,
            projectType: 'library',
            callingGenerator: 'qwik-nx:library',
            directory: schema.directory,
            projectNameAndRootFormat: schema.projectNameAndRootFormat,
        });
        const parsedTags = schema.tags
            ? schema.tags.split(',').map((s) => s.trim())
            : [];
        const withDefaultValues = Object.assign(Object.assign({}, schema), { style: (_a = schema.style) !== null && _a !== void 0 ? _a : 'css', unitTestRunner: (_b = schema.unitTestRunner) !== null && _b !== void 0 ? _b : 'vitest', linter: (_c = schema.linter) !== null && _c !== void 0 ? _c : eslint_1.Linter.EsLint, buildable: !!schema.buildable, storybookConfiguration: !!schema.storybookConfiguration, generateComponent: schema.generateComponent !== false });
        return Object.assign(Object.assign({}, withDefaultValues), { projectName,
            projectRoot,
            parsedTags,
            projectNameAndRootFormat, setupVitest: withDefaultValues.unitTestRunner === 'vitest', offsetFromRoot: (0, devkit_1.offsetFromRoot)(projectRoot) });
    });
}
exports.normalizeOptions = normalizeOptions;
//# sourceMappingURL=normalize-options.js.map