"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCurrentProjectName = void 0;
const devkit_1 = require("@nx/devkit");
const find_project_for_path_1 = require("nx/src/project-graph/utils/find-project-for-path");
const path_1 = require("path");
function getCurrentProjectName(projectsConfigurations, projectRootDir) {
    const projectRootMappings = (0, find_project_for_path_1.createProjectRootMappingsFromProjectConfigurations)(projectsConfigurations.projects);
    const relativeDirname = (0, path_1.relative)(devkit_1.workspaceRoot, projectRootDir);
    const normalizedRelativeDirname = (0, devkit_1.normalizePath)(relativeDirname);
    const currentProjectName = (0, find_project_for_path_1.findProjectForPath)(normalizedRelativeDirname, projectRootMappings);
    if (!currentProjectName) {
        throw new Error(`Could not resolve the project name for path "${projectRootDir}"`);
    }
    return currentProjectName;
}
exports.getCurrentProjectName = getCurrentProjectName;
//# sourceMappingURL=current-project-name.js.map