"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProjectDependencies = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const operators_1 = require("nx/src/project-graph/operators");
/** Retrieves all projects given `currentProjectName` depends on */
function getProjectDependencies(currentProjectName) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const graph = (0, operators_1.pruneExternalNodes)(yield (0, devkit_1.createProjectGraphAsync)({ exitOnError: true }));
        return traverseGraph(graph, currentProjectName);
    });
}
exports.getProjectDependencies = getProjectDependencies;
function traverseGraph(graph, root, visited = new Set()) {
    if (visited.has(root))
        return visited;
    visited.add(root);
    const nodes = graph.dependencies[root].map((d) => d.target);
    for (const node of nodes) {
        traverseGraph(graph, node, visited);
    }
    return visited;
}
//# sourceMappingURL=get-project-dependencies.js.map